Skip to content
Start here

Update a Web Analytics rule

client.RUM.Rules.Update(ctx, rulesetID, ruleID, params) (*RUMRule, error)
PUT/accounts/{account_id}/rum/v2/{ruleset_id}/rule/{rule_id}

Updates a rule in a Web Analytics ruleset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
rulesetID string

The Web Analytics ruleset identifier.

ruleID string

The Web Analytics rule identifier.

params RuleUpdateParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Host param.Field[string]optional

Body param

Inclusive param.Field[bool]optional

Body param: Whether the rule includes or excludes traffic from being measured.

IsPaused param.Field[bool]optional

Body param: Whether the rule is paused or not.

Paths param.Field[[]string]optional

Body param

ReturnsExpand Collapse
type RUMRule struct{…}
ID stringoptional

The Web Analytics rule identifier.

Created Timeoptional
formatdate-time
Host stringoptional

The hostname the rule will be applied to.

Inclusive booloptional

Whether the rule includes or excludes traffic from being measured.

IsPaused booloptional

Whether the rule is paused or not.

Paths []stringoptional

The paths the rule will be applied to.

Priority float64optional

Update a Web Analytics rule

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rum"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  rumRule, err := client.RUM.Rules.Update(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    rum.RuleUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", rumRule.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}